%global prerelease 13
%global beta beta
%global drupaldir %{_datadir}/drupal6
Name:      drupal6-feeds
Version:   1.0
Release:   0.13.%{beta}%{prerelease}%{?dist}
Summary:   An import and aggregation framework for Drupal

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/feeds
Source0:   http://ftp.drupal.org/files/projects/feeds-6.x-%{version}-%{beta}%{prerelease}.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, drupal6-ctools, drupal6-job_scheduler

%description
Import or aggregate data as nodes, users,
taxonomy terms or simple database records.

%prep
%setup -qn feeds
chmod -x feeds.module
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/feeds
cp -pr * %{buildroot}%{drupaldir}/modules/feeds

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt CHANGELOG.txt
%exclude %{drupaldir}/modules/feeds/*.txt
%{drupaldir}/modules/feeds

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.13.beta13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.12.beta13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 14 2013 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.11.beta13
- New upstream version 1.0-beta13

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.10.beta12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.9.beta12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Paul W. Frields <stickster@gmail.com> - 1.0-0.8.beta12
- New upstream version 1.0-beta12

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.beta11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 30 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.6.beta11
- Fixed release number in the spec file.

* Thu Jun 30 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta11
- New upstream version.

* Thu Mar 17 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.6.beta10
- Version macro is added to the Source0 line.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.beta10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.4.beta10
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Fri Jan 14 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.3.beta10
- The License field is changed.

* Sat Jan  8 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.2.beta10
- Additional adjustments in the spec file

* Thu Nov 16 2010 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta10
- Initial packaging.
